summaryrefslogtreecommitdiffstats
path: root/devel/dbus/pkg-install
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2009-07-28 04:16:53 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2009-07-28 04:16:53 +0800
commitf00c62703db8f755f3a37c12be322c2b0f58a001 (patch)
tree39f9a09fb8e5fc0c4f7a4bb7e1e7cf013ca5b049 /devel/dbus/pkg-install
parent17c06fa834d8307899c83b827d537ff14edee693 (diff)
downloadmarcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar.gz
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar.bz2
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar.lz
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar.xz
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.tar.zst
marcuscom-ports-f00c62703db8f755f3a37c12be322c2b0f58a001.zip
Update to 1.2.16.
Switch from the permissive branch to the main branch. At this point, there should be no pieces still relying on the permissive code. However, if things break, we will patch those ports. git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@12504 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'devel/dbus/pkg-install')
-rw-r--r--devel/dbus/pkg-install41
1 files changed, 41 insertions, 0 deletions
diff --git a/devel/dbus/pkg-install b/devel/dbus/pkg-install
new file mode 100644
index 000000000..4ed46afa7
--- /dev/null
+++ b/devel/dbus/pkg-install
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+case $2 in
+POST-INSTALL)
+ USER=messagebus
+ GROUP=${USER}
+ UID=556
+ GID=${UID}
+ PW=/usr/sbin/pw
+
+ if ${PW} group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if ${PW} groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if ${PW} user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if ${PW} useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d "/nonexistent" -s /sbin/nologin -c "D-BUS Daemon User"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+
+ /usr/bin/install -d -o ${USER} -g ${GROUP} /var/run/dbus
+ /usr/bin/install -d -o ${USER} -g ${GROUP} /var/db/dbus
+ /usr/bin/chgrp ${GROUP} ${PKG_PREFIX}/libexec/dbus-daemon-launch-helper
+ ${PKG_PREFIX}/bin/dbus-uuidgen --ensure
+ exit 0
+ ;;
+esac